/* Progress Bar */
.supplier_step_register {
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: 100%;
    height: fit-content;
    padding: 25px 0 10px;
    font-size: 18px;
    font-weight: 600;
    color: #000000de;
    background-color: #fff;
    border-radius: 0 7px 0 0;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
}

.supplier_step_register>div {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    justify-content: center;
    row-gap: 8px;
    width: 100%;
}

.supplier_step_register>div.active {
    position: relative;
}

.supplier_step_register>div>div {
    position: relative;
    width: 100%;
    font-size: 1rem;
    text-align: center;
}

/* Circle icon */
.supplier_step_register>div>div .circle {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    margin: 0 auto;
    font-size: 18px;
    background-color: #efefef;
    border-radius: 50%;
    z-index: 5;
}

.supplier_step_register>div.active>div .circle {
    color: #fff;
    background-color: #007bff;
}

.supplier_step_register>div.finish>div .circle {
    color: #fff;
    background-color: #007bff;
}

/* Arrow active icon */
.supplier_step_register>div.active::after {
    content: '';
    position: absolute;
    bottom: -20px;
    left: 50%;
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #007bff;
    border-radius: 3px;
    transform: translateX(-50%);
}

/* Step1 progress bar */
.supplier_step_register>div.step1_item>div.head-icon-right::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 57%;
    width: 43%;
    height: 10px;
    background-color: #007bff;
    transform: translateY(-50%);
}

/* Step2 progress bar */
.supplier_step_register>div.step2_item>div.head-icon-left::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 57%;
    width: 43%;
    height: 10px;
    background-color: #efefef;
    transform: translateY(-50%);
}

.supplier_step_register>div.step2_item>div.head-icon-right::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 57%;
    width: 43%;
    height: 10px;
    background-color: #efefef;
    transform: translateY(-50%);
}

.supplier_step_register>div.step2_item.active>div.head-icon-left::before,
.supplier_step_register>div.step2_item.finish>div.head-icon-left::before,
.supplier_step_register>div.step2_item.active>div.head-icon-right::after,
.supplier_step_register>div.step2_item.finish>div.head-icon-right::after {
    background-color: #007bff;
}

/* Step3 progress bar */
.supplier_step_register>div.step3_item>div.head-icon-left::after {
    content: '';
    position: absolute;
    top: 50%;
    right: 57%;
    width: 43%;
    height: 10px;
    background-color: #efefef;
    transform: translateY(-50%);
}

.supplier_step_register>div.step3_item.finish>div.head-icon-left::after {
    background-color: #007bff;
}

@media (max-width: 403px) {
    .supplier_step_register>div>div{
        font-size: 0.85rem;
    }
}